using System;

namespace NAMESTANJE_GLASANJA
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s= Console.ReadLine().Split(' ');
            int N=int.Parse(s[0]);
            int Q=int.Parse(s[1]);
            int[] glasanja=new int[N];
            string[] glas=Console.ReadLine().Split(' ');
            for(int i=0; i<N; i++)
            {
                glasanja[i]=int.Parse(glas[i]);
            }
            Array.Sort(glasanja);
            int[] scenario = new int[N];
            string[] scen = Console.ReadLine().Split(' ');
            for (int i = 0; i < Q; i++)
            {
                scenario[i] = int.Parse(scen[i]);
            }
            int medijana =N / 2 + 1;
            for(int i = 0; i < Q; i++)
            {
                if (glasanja[medijana-1] == scenario[i])
                {
                    Console.WriteLine("0");
                }
                else if (scenario[i] > glasanja[medijana-1] && scenario[i] < glasanja[N - 1])
                {
                    int p = 0;
                    int o = N-1;
                    for (int j = 0; j < N; j++)
                    {
                        if (scenario[i] <= glasanja[o])
                        {
                            p++;
                            o--;
                        }
                    }
                    Console.WriteLine(medijana-p);
                }
                else if (scenario[i] < glasanja[medijana-1] && scenario[i] > glasanja[0])
                {
                    int g = 0;
                    int r = 1;
                    for(int j = 0; j < N; j++)
                    {
                        if(scenario[i] >= glasanja[g])
                        {
                            r++;
                            g++;
                        }
                    }
                    Console.WriteLine(medijana-g+1);
                }
                else if (scenario[i] == glasanja[0])
                {
                    Console.WriteLine(N-1);
                }
                else if (scenario[i] == glasanja[N-1])
                {
                    Console.WriteLine(N-2);
                }
                else if (scenario[i] > glasanja[N - 1])
                {
                    Console.WriteLine(N);
                }
                else if (scenario[i] < glasanja[0])
                {
                    Console.WriteLine(N+1);
                }
            }
            Console.ReadLine();
        }
    }
}